# Introduction to NLP and LLMs 2024

[![pypi-image]][pypi-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![license-image]][license-url]
[![codecov][codecov-image]][codecov-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->
[codecov-image]: https://codecov.io/gh/entelecheia/intronlp-2024/branch/main/graph/badge.svg?token=AaJIunU8cG
[codecov-url]: https://codecov.io/gh/entelecheia/intronlp-2024
[pypi-image]: https://img.shields.io/pypi/v/intronlp-2024
[license-image]: https://img.shields.io/github/license/entelecheia/intronlp-2024
[license-url]: https://github.com/entelecheia/intronlp-2024/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/intronlp-2024?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/intronlp-2024
[release-url]: https://github.com/entelecheia/intronlp-2024/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg

[repo-url]: https://github.com/entelecheia/intronlp-2024
[pypi-url]: https://pypi.org/project/intronlp-2024
[docs-url]: https://nlp2024.jeju.ai
[changelog]: https://github.com/entelecheia/intronlp-2024/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/intronlp-2024/blob/main/CONTRIBUTING.md
<!-- Links: -->

Introduction to the fundamental concepts of Natural Language Processing (NLP) and advanced language model technologies.

- Documentation: [https://nlp2024.jeju.ai][docs-url]
- GitHub: [https://github.com/entelecheia/intronlp-2024][repo-url]
- PyPI: [https://pypi.org/project/intronlp-2024][pypi-url]

This course introduces the fundamental concepts of Natural Language Processing (NLP) and advanced language model technologies. Students will learn through hands-on practice, starting from basic text processing to advanced language model API utilization and NLP application development. The course emphasizes the use of Large Language Models (LLMs) and prompt engineering, aiming to develop practical skills in applying cutting-edge NLP technologies.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [CC-BY-4.0 License][license-url].
